Linked Questions

6
votes
3answers
10k views

I add a PPA but the software does not show up in Ubuntu 11.10 updates nor Software Centre [duplicate]

Every time I add a PPA I cannot see the package I'm trying to install. I suppose I must be doing something wrong! So here's my latest effort: In a Terminal I typed: sudo add-apt-repository ppa:...
5
votes
2answers
2k views

Why should I regularly run 'apt-get update' and similar commands? [duplicate]

I am completely new to Ubuntu. A friend recommended me to frequently run the following commands: sudo apt-get upgrade sudo apt-get update sudo apt-get autoremove sudo apt-get autoclean He said that ...
1
vote
2answers
14k views

apt-get update updates all the packages? [duplicate]

I am new to ubuntu and would like to know if apt-get update updates the list of installed as well as uninstalled but available packages from various repos?
2
votes
2answers
308 views

Necessity of Software Updates [duplicate]

Is it necessary to run the command sudo apt-get update each time after installing any software/application? I know the use of this command. I just want to know when to use it.
1
vote
1answer
6k views

What is the command for a complete update in terminal for Kubuntu? [duplicate]

I am running Kubuntu on an old Acer Aspire ONE and any time i try to use the Update manager (Apper) it errors out. I have been using sudo apt-get update but i am not sure if it is updating ...
1
vote
4answers
2k views

Adding the PPA does not update Geary [duplicate]

I have installed Geary mail client 0.4.0 from software center. After I read there is a new version, 0.4.1, I added the PPA through terminal. sudo add-apt-repository ppa:yorba/ppa sudo apt-get update ...
3
votes
0answers
4k views

Why run sudo apt-get update before installing a package? [duplicate]

Possible Duplicate: What does “sudo apt-get update” do? Why do we have to run sudo apt-get update before I can run sudo apt-get install package? I found this very annoying when I am installing a ...
1
vote
1answer
1k views

How to update those packages [duplicate]

How do i get those 52 packeges updated? i give a sudo apt-get update but still it all remains. Welcome to Ubuntu 16.04.5 LTS (GNU/Linux 4.4.0-138-generic x86_64) * Documentation: https://help....
2
votes
1answer
1k views

Do we have to update everytime using 'sudo apt-get update'command whenever we install anything? [duplicate]

Whenever I am installing anything through the terminal, the provided code includes sudo apt-get update (to update the local repository catalog), but do we have to run the command each time we install ...
1
vote
4answers
333 views

Why does every installation tutorial ask me to update? [duplicate]

I've noticed while setting up my laptop with Ubuntu for the first time that virtually every guide on how to install X program asks me to sudo apt-get update Is it just good practice or is it really ...
-2
votes
1answer
547 views

Why do we have to call `sudo apt-get update` more than once for Ubuntu? [duplicate]

I sometimes see update commands for Ubuntu which make it twice as this sample sudo apt-get update && sudo apt-get upgrade I wonder why do we have to call it twice like that? Why not just ...
1
vote
1answer
522 views

is software updater application in ubuntu like sudo apt-get update? [duplicate]

Does software update application in ubuntu 14.04 like sudo apt-get update command?
0
votes
1answer
443 views

No program updates in 16.04? [duplicate]

I've been using Ubuntu for years and I'm currently running Ubuntu 16.04. Since upgrading to 16.04, I occasionally get a pop-up message saying that there are program updates available but when I run ...
-2
votes
2answers
699 views

What does apt-get update actually do? [duplicate]

I have a brand new installation of Ubuntu 18.04. I then ran apt-get install curl and it gave me: Package 'curl' has no installation candidate I then ran apt-get update and tried installing curl ...
0
votes
0answers
213 views

“E: Package ‘…’ has no installation candidate” when trying to install omnet++ [duplicate]

zinnet@zinnetyazicii:~$ sudo apt-get -y install build-essential gcc g++ bison flex perl \ qt5-default tcl-dev tk-dev libxml2-dev zlib1g-dev default-jre \doxygen graphviz libwebkitgtk-3.0–0 ...

15 30 50 per page